ch.qos.logback.classic.spi

## Class LoggerRemoteView

- java.lang.Object
- - ch.qos.logback.classic.spi.LoggerRemoteView

All Implemented Interfaces:
  Serializable

    public class LoggerRemoteView
    extends Object
    implements Serializable

An interface that allows Logger objects and LoggerSer objects to be used the same way be client of the LoggingEvent object.

See `LoggerContextVO` for the rationale of this class.

Author:
  Ceki Gülcü, Sébastien Pennec
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`LoggerRemoteView(String name, LoggerContext lc)`

### Method Summary

All Methods Instance Methods Concrete Methods
`LoggerContextVO` `getLoggerContextView()`
`String` `getName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LoggerRemoteView

    public LoggerRemoteView(String name,
                            LoggerContext lc)

### Method Detail

#### getLoggerContextView

    public LoggerContextVO getLoggerContextView()

#### getName

    public String getName()